BitstreamErrors

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.decoder
Interface BitstreamErrors

All Superinterfaces:
  JavaLayerErrors

All Known Implementing Classes:
  Bitstream, BitstreamException

public interface BitstreamErrors
extends JavaLayerErrors

This interface describes all error codes that can be thrown in `BistreamException`s.

Since:
  0.0.6
See Also:
  `BitstreamException`

Field Summary
`static int` | `BITSTREAM_LAST`
`static int` | `INVALIDFRAME` Frame data are missing.
`static int` | `STREAM_EOF` The end of the stream was reached.
`static int` | `STREAM_ERROR` A problem occurred reading from the stream.
`static int` | `UNEXPECTED_EOF` The end of the stream was reached prematurely.
`static int` | `UNKNOWN_ERROR` An undeterminable error occurred.
`static int` | `UNKNOWN_SAMPLE_RATE` The header describes an unknown sample rate.

Fields inherited from interface javazoom.jl.decoder.JavaLayerErrors
`BITSTREAM_ERROR, DECODER_ERROR`

Field Detail

### UNKNOWN_ERROR

    public static final int UNKNOWN_ERROR

  An undeterminable error occurred.

  See Also:
    Constant Field Values

### UNKNOWN_SAMPLE_RATE

    public static final int UNKNOWN_SAMPLE_RATE

  The header describes an unknown sample rate.

  See Also:
    Constant Field Values

### STREAM_ERROR

    public static final int STREAM_ERROR

  A problem occurred reading from the stream.

  See Also:
    Constant Field Values

### UNEXPECTED_EOF

    public static final int UNEXPECTED_EOF

  The end of the stream was reached prematurely.

  See Also:
    Constant Field Values

### STREAM_EOF

    public static final int STREAM_EOF

  The end of the stream was reached.

  See Also:
    Constant Field Values

### INVALIDFRAME

    public static final int INVALIDFRAME

  Frame data are missing.

  See Also:
    Constant Field Values

### BITSTREAM_LAST

    public static final int BITSTREAM_LAST

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005